#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Définition d'une carte d'accessibilité par duel de touches
# Copyright (C) 2007 Gaëtan Lehmann <gaetan.lehmann@jouy.inra.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#

import sys, pickle, key_vote_lib
from optparse import OptionParser

parser = OptionParser(usage = '"Usage: map.py ..."')

parser.add_option("-c", "--color", action="store_true", dest="color", help="Colored output for mediawiki.")
opts, args = parser.parse_args()
# check the arguments
if len(args) < 1:
  parser.error("incorrect number of arguments")

scores = {}
nbOfVotes = 0

for fName in args :
  f = file( fName )
  results = pickle.load( f )
  
  if isinstance( results, tuple ):
    results = key_vote_lib.computeMachs( results )
  
  key_vote_lib.countLost( results, scores )
  nbOfVotes += len( results )
  
  f.close()
  
print len(args), "participants,", nbOfVotes, "votes."
ratio = key_vote_lib.computeScores( scores )
key_vote_lib.printKbdScores( ratio, opts.color )
